Summary: Atomicorp Nucleus repo
Name: nucleus-release
Version: 1.0
Release: 20.art
License: GPL
Group: System Environment/Base
URL: http://www.atomicorp.com/

Vendor: Atomicorp, http://www.atomicorp.com/
Source1:        RPM-GPG-KEY.art.txt
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: net-tools
Requires:       yum >= 2.2
Obsoletes:      atomic
BuildArch: noarch


%description
Atomicorp Nucleus archive contains open source packages for RPM based distributions, Cloudlinux, CentOS, and Red Hat Enterprise Linux.

This package contains the repository GPG key in addition to configuration files for yum.

%prep
#%setup -c 

%build
%{?el6:name='CentOS / Red Hat Enterprise Linux'; version='7'; path="centos"; }
%{?el6:name='CentOS / Red Hat Enterprise Linux'; version='6'; path="centos"; }
%{?el5:name='CentOS / Red Hat Enterprise Linux'; version='5'; path="centos"; }


%{__cat} <<EOF >atomic.repo
# Name: Atomic Rocket Turtle RPM Repository for $name $version - $builder
# URL: http://www.atomicrocketturtle.com/
# Note: This isn't covered by ASL support. -Scott
[atomic-nucleus]
name = Nucleus - $name \$releasever - www.atomicorp.com
mirrorlist = http://updates.atomicorp.com/channels/mirrorlist/nucleus/$path-$version-\$basearch
enabled = 1
priority = 1
protect = 0
gpgkey = file:///etc/pki/rpm-gpg/RPM-GPG-KEY.nucleus.txt
gpgcheck = 1

EOF

%install
%{__rm} -rf %{buildroot}
%{__install} -Dp -m0644 %{SOURCE1}  %{buildroot}%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY.nucleus.txt
%{__install} -Dp -m0644 atomic.repo %{buildroot}%{_sysconfdir}/yum.repos.d/nucleus.repo



%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
#%dir %{_sysconfdir}/sysconfig/rhn/
#%config %{_sysconfdir}/sysconfig/rhn/sources.atomic.txt
%dir %{_sysconfdir}/yum.repos.d/
%config %{_sysconfdir}/yum.repos.d/nucleus.repo
%dir %{_sysconfdir}/pki/rpm-gpg/
%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY.nucleus.txt


%changelog
* Mon Jun 17 2013 Support <support@atomicorp.com> 1.0-20
-  Update mirrorlist to use updates mirrorrs

* Mon Jun 17 2013 Support <support@atomicorp.com> 1.0-18
- Initial release
